from pandac.PandaModules import *


class Lighting:
  def __init__(self):
    # Create the suns...
    self.sun1 = DirectionalLight('sun1')
    self.sun1.setColor(VBase4(0.8,0.8,0.8,1.0))
    self.sun1Node = render.attachNewNode(self.sun1)

    self.sun1Node.setPos(10.0,10.0,10.0)
    self.sun1Node.lookAt(render)
    

    self.sun2 = DirectionalLight('sun2')
    self.sun2.setColor(VBase4(76.0/255.0,81.0/255.0,116.0/255.0,1.0))
    self.sun2Node = render.attachNewNode(self.sun2)

    self.sun2Node.setPos(-10.0,10.0,7.0)
    self.sun2Node.lookAt(render)

    self.sun3 = DirectionalLight('sun3')
    self.sun3.setColor(VBase4(91.0/255.0,61.0/255.0,124.0/255.0,1.0))
    self.sun3Node = render.attachNewNode(self.sun3)

    self.sun3Node.setPos(-10.0,-10.0,2.0)
    self.sun3Node.lookAt(render)

    self.sun4 = DirectionalLight('sun4')
    self.sun4.setColor(VBase4(107.0/255.0,97.0/255.0,61.0/255.0,1.0))
    self.sun4Node = render.attachNewNode(self.sun4)

    self.sun4Node.setPos(10.0,-10.0,-2.0)
    self.sun4Node.lookAt(render)

  def lightNode(self,node):
    node.setLight(self.sun1Node)
    node.setLight(self.sun2Node)
    node.setLight(self.sun3Node)
    node.setLight(self.sun4Node)